Subject: Re: [PATCH net-next] vxlan: drop packets from invalid src-address

From: Ido Schimmel <[email-masked]>
Date: Wed, 3 Apr 2024 15:45:20 +0300

On Tue, Apr 02, 2024 at 07:08:48PM +0100, Simon Horman wrote:
> On Sun, Mar 31, 2024 at 11:14:34PM +0200, David Bauer wrote:
> > The VXLAN driver currently does not check if the inner layer2
> > source-address is valid.
> > 
> > In case source-address snooping/learning is enabled, a entry in the FDB
> > for the invalid address is created with the layer3 address of the tunnel
> > endpoint.
> > 
> > If the frame happens to have a non-unicast address set, all this
> > non-unicast traffic is subsequently not flooded to the tunnel network
> > but sent to the learnt host in the FDB. To make matters worse, this FDB
> > entry does not expire.
> > 
> > Apply the same filtering for packets as it is done for bridges. This not
> > only drops these invalid packets but avoids them from being learnt into
> > the FDB.
> > 
> > Suggested-by: Ido Schimmel <[email-masked]>
> > Signed-off-by: David Bauer <[email-masked]>
> 
> Hi David and Ido,
> 
> I wonder if this is an appropriate candidate for 'net', with a Fixes tag.
> It does seem to address a user-visible problem.

I'm OK with targeting the patch at 'net'. Looking at git history, the
issue seems to be present since initial submission so Fixes tag should
be:

Fixes: d342894c5d2f ("vxlan: virtual extensible lan")

David, can you please re-submit with "[PATCH net]" prefix and the above
tag?

Thanks